#744 Secure window information for user and notes. Tags creation

accepted
5
2014-07-14
2014-03-18
Jordi Solé
No

Dear all, first at all, thanks for your software. I would like to share with you two things that perhaps could improve the tool.

  • The first one is that when we select an entry, it could be right an option that opens a secure window with all readable information: User, Notes, URL, Command, Auto-type. We could select too from a contextual menu to view Notes ... If not, we have to edit the entry and select the tab or section (notes) we are interested for.

  • The second one is to create TAGS and values associated them. For example, if we use it to safe users and passwords for Oracle database, we could create a Tag named OracleSID and use it for all entries to associate the SID of the TNSNAMES. Is better than use the notes because all entries of this kind should be normalized.

Kind regards and thanks in advance.

Jordi

Related

Feature Requests: #744

Discussion

  • Jordi Solé

    Jordi Solé - 2014-03-18

    This an example of PGP secure window.

     
    Attachments
  • Jordi Solé

    Jordi Solé - 2014-03-18

    Tags example window

     
    Attachments
  • Rony Shapiro

    Rony Shapiro - 2014-07-14

    Not sure why this was marked 'pending' First suggestion is a UI issue. Not sure what "Secure Window" means here or how it would be used. Just to view the record??

    Second suggestion is worth considering for the new database format (V4).

     
  • Rony Shapiro

    Rony Shapiro - 2014-07-14
    • status: pending --> accepted
    • assigned_to: Rony Shapiro
     
    • Jordi Solé

      Jordi Solé - 2014-07-15

      Hi Rony!

      About ‘pending’ status was my fault, I entered this status, and then I was not able to change it to ‘open’.

      about secure windows, I would to say if is possible to view all information (notes included) in one ‘form’ (obviously after close the form, all data stored in memory should be destroyed ...). So we will be able to copy parts of notes, logins, commands, urls ... It was a summarizing of the record as you said (the most important is to read whole notes and capability to copy part of them). Is to avoid to enter into edition mode and change tabs or click into notes to select part of them.

      Perhaps is not interesting or perhaps is not so important in comparison with the effort to develop it. So, you decide of course!!

      For the second point we consider new database format (V4) of course!

      Many many thanks for your job and it is a very very useful tool.

      Regards,

      Jordi

      From: Rony Shapiro
      Sent: Monday, July 14, 2014 9:36 PM
      To: [passwordsafe:feature-requests]
      Subject: [passwordsafe:feature-requests] #744 Secure window information for user and notes. Tags creation

      a.. status: pending --> accepted
      b.. assigned_to: Rony Shapiro
      c.. Comment:
      Not sure why this was marked 'pending' First suggestion is a UI issue. Not sure what "Secure Window" means here or how it would be used. Just to view the record??

      Second suggestion is worth considering for the new database format in


      [feature-requests:#744] Secure window information for user and notes. Tags creation

      Status: accepted
      Group: Next_Release_(example)
      Labels: secure window tags
      Created: Tue Mar 18, 2014 09:33 AM UTC by Jordi Solé
      Last Updated: Tue Mar 18, 2014 09:50 AM UTC
      Owner: Rony Shapiro

      Dear all, first at all, thanks for your software. I would like to share with you two things that perhaps could improve the tool.

      a.. The first one is that when we select an entry, it could be right an option that opens a secure window with all readable information: User, Notes, URL, Command, Auto-type. We could select too from a contextual menu to view Notes ... If not, we have to edit the entry and select the tab or section (notes) we are interested for.

      b.. The second one is to create TAGS and values associated them. For example, if we use it to safe users and passwords for Oracle database, we could create a Tag named OracleSID and use it for all entries to associate the SID of the TNSNAMES. Is better than use the notes because all entries of this kind should be normalized.

      Kind regards and thanks in advance.

      Jordi


      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/passwordsafe/feature-requests/744/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Feature Requests: #744

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks